# std::basic_string_view<CharT,Traits>::copy

From cppreference.com
< cpp‎ | string‎ | basic string view

size_type copy( CharT* dest, size_type count, size_type pos = 0 ) const; |  | (since C++17) (until C++20)
constexpr size_type copy( CharT* dest, size_type count, size_type pos = 0 ) const; |  | (since C++20)

Copies the substring `[pos, pos + rcount)` to the character array pointed to by `dest`, where `rcount` is the smaller of `count` and size() - pos.

Equivalent to Traits::copy(dest, data() + pos, rcount).

### Parameters

dest | - | pointer to the destination character string
pos | - | position of the first character
count | - | requested substring length

### Return value

Number of characters copied

### Exceptions

std::out_of_range if pos > size().

### Complexity

Linear in `rcount`.

### See also

substr | returns a substring (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/string/basic_string_view/copy&oldid=108559"